org.apache.olingo.odata2.client.api.edm

## Class EdmDataServices

- java.lang.Object
- - org.apache.olingo.odata2.client.api.edm.EdmDataServices

-     public class EdmDataServices
      extends Object

  Objects of this class represent the data service. They contain all schemas of the EDM as well as the dataServiceVersion

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdmDataServices()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCustomEdmxVersion()`
    `String` | `getDataServiceVersion()`
    `ClientEdm` | `getEdm()`
    `EdmDataServices` | `setClientEdm(ClientEdm edm)` Sets the Edm for this `EdmDataServices`
    `EdmDataServices` | `setCustomEdmxVersion(String customEdmxVersion)` Sets a custom edmx version which is used in the metadata document
    `EdmDataServices` | `setDataServiceVersion(String dataServiceVersion)` Sets the data service version for this `EdmDataServices`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EdmDataServices

          public EdmDataServices()

  - ### Method Detail

    - #### setClientEdm

          public EdmDataServices setClientEdm(ClientEdm edm)

      Sets the Edm for this `EdmDataServices`
      Parameters:
        `edm` -
      Returns:
        `EdmDataServices` for method chaining

    - #### setDataServiceVersion

          public EdmDataServices setDataServiceVersion(String dataServiceVersion)

      Sets the data service version for this `EdmDataServices`
      Parameters:
        `dataServiceVersion` -
      Returns:
        `EdmDataServices` for method chaining

    - #### setCustomEdmxVersion

          public EdmDataServices setCustomEdmxVersion(String customEdmxVersion)

      Sets a custom edmx version which is used in the metadata document
      Parameters:
        `customEdmxVersion` -
      Returns:
        `ComplexType` for method chaining

    - #### getDataServiceVersion

          public String getDataServiceVersion()

      Returns:
        String data service version

    - #### getCustomEdmxVersion

          public String getCustomEdmxVersion()

      Returns:
        String custom edmx version

    - #### getEdm

          public ClientEdm getEdm()

      Returns:
        Edm edm

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.